
Katello - Bug #6449

regression: searching for content hosts by internal database id no longer working

06/30/2014 03:33 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.3.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1114730 Red Hat JIRA:  

Pull request:    

Description

Searching for a content host by id has stopped working. This makes links from a host to its virtual guests in the UI return no results.

The search like

id:1

worked until recently.

History

#1 - 06/30/2014 03:34 PM - Thomas McKay

- Category set to 111

- Target version set to 48

#2 - 06/30/2014 03:35 PM - Thomas McKay

- Bugzilla link set to 1114730

#3 - 07/07/2014 09:37 AM - Eric Helms

- Target version deleted (48)

#4 - 07/07/2014 01:27 PM - Eric Helms

- Difficulty set to trivial

- Triaged changed from No to Yes

#5 - 07/30/2014 01:59 PM - Thomas McKay

<thomasmckay> walden: ehelms: encountered again during my p-r for bad link is this http://projects.theforeman.

org/issues/6449

<thomasmckay> walden: ehelms: i don't think the issue accurately reflects the problem, however... it's that th

e link on the page to do a search doesn't actually perform the search

<thomasmckay> walden: ehelms: https://thomasmckay.usersys.redhat.com/content_hosts/f3d8cdcb-1b08-478f-ab47-d52

1c9e80351/info?search=id:276%20id:275

<thomasmckay> walden: ehelms: mega corp. that link will work. now go to https://thomasmckay.usersys.redhat.com

/content_hosts/f3d8cdcb-1b08-478f-ab47-d521c9e80351/info and click the "1 Content Host" link on the page

#6 - 02/27/2015 01:56 PM - Walden Raines

- Status changed from New to Closed

Cannot reproduce this in master.

#7 - 05/22/2015 09:02 PM - Eric Helms

- translation missing: en.field_release set to 31
